<template>
  <div>
    <leftPage />
    <rightPage />
  </div>
</template>

<script lang="ts" setup>
import leftPage from './leftPage.vue';
import rightPage from './rightPage.vue';
import { onMounted } from 'vue';
import { getHydroForecastInfo } from '/@/api/swHome/index';
import eventBus from '/@/utils/eventBus';
function getHydroForecastInfoData() {
  getHydroForecastInfo().then((res) => {
    eventBus.emit('stormFlood', res.data);
  });
}
onMounted(() => {
  getHydroForecastInfoData();
});
</script>

<style lang="less" scoped></style>
